Fai la tua domanda

Revision history [indietro]

click to hide/show revision 1
versione iniziale

Avevo già provato a eliminare user ma senza successo. Poi ho disinstallato Writer è l'ho reinstallato ma il problema persisteva allora ho disinstallato (opzione purge) e reinstallato tutto Libreoffice ma ancora niente da fare: Writer si ostinava a non avviarsi. ho provato a fare debug ma purtroppo non è andata in quanto i pacchetti richiesti presenti sulla mia versione di ubuntu erano troppo vecchi. Ho provato anche con strace ma non ne ho ricavato molto; sembra che avviando writer si producesse un SIGFAULT in quanto javaVM era incapace di avviarsi; quindi invece di usare java 8 di oracle ho provato a usare open-jdk ma sempre senza risultato; alla fine ho installato Libreoffice 5.4 RC1 e Writer funziona; nonostante però i lanciatori della 5.4 siano correttamente posizionati nella cartella /usr/share/applications, se blocco le icone di LO5.4 su Unity alla successiva apertura il lanciatore richiama invece libreoffice 5.3 mentre se avvio facendo la ricerca del programma dalla dash si avvia la versione desiderata (LO5.4)

Avevo già provato a eliminare user ma senza successo. Poi ho disinstallato Writer è l'ho reinstallato ma il problema persisteva allora ho disinstallato (opzione purge) e reinstallato tutto Libreoffice ma ancora niente da fare: Writer si ostinava a non avviarsi. ho provato a fare debug ma purtroppo non è andata in quanto i pacchetti richiesti presenti sulla mia versione di ubuntu erano troppo vecchi. Ho provato anche con strace ma non ne ho ricavato molto; sembra che avviando writer si producesse un SIGFAULT in quanto javaVM era incapace di avviarsi; quindi invece di usare java 8 di oracle ho provato a usare open-jdk ma sempre senza risultato; alla fine risultato; reinstallare una versione precedente non era un'opzione per me perché mi servono delle feature che sono state introdotte dalla 5.3 per cui ho installato Libreoffice 5.4 RC1 e Writer funziona; nonostante però i lanciatori della 5.4 siano correttamente posizionati nella cartella /usr/share/applications, se blocco le icone di LO5.4 su Unity alla successiva apertura il lanciatore richiama invece libreoffice 5.3 mentre se avvio facendo la ricerca del programma dalla dash si avvia la versione desiderata (LO5.4)